Skip to main content
PUT
Update shipment detail

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

reference_number
string
required

Shipment reference number

Body

application/json
status
enum<string>
Available options:
unscheduled,
scheduled,
packed,
shipped,
delivered,
in_transit,
out_for_delivery,
undelivered,
return_to_origin,
ready_to_collect
warehouse_id
string
awb_no
string
courier_company_name
string
shipping_label_url
string | null
tracking_url
string | null
manual_shipping_charges
number | null
eta_delivery
string | null
shipped_date
string<date-time>
out_for_delivery_date
string<date-time> | null
delivered_date
string<date-time> | null
revised_shipping_date
string<date-time> | null

Response

OK

message
string
required
success
boolean
required
content
object
required